Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

PSoC™ 4 Forum Discussions

BELu_2281436
Level 1
Level 1

Hello,

I updated BLE 4.1 stack with last version of BLE 4.2 stack (v3.62) on PSOC Creator.

After this component update, my board is no longer visible by smartphone with 4.1 BLE Stack.

Is it possible to configure this BLE 4.2 stack to be compatible with BLE4.1 device ?

Thanks,

Luc,

0 Likes
3 Replies
Yugandhar
Moderator
Moderator
Moderator
1000 replies posted 5 likes given First comment on blog

Hello Luc,

Could you please let me know the Smartphone which you are using ? Did you check in any other phones ?

Thanks,

P Yugandhar.

0 Likes

Hello,

I used Huawei P8 Lite 2017, this smartphone have Bluetooth 4.1.

I checked with other smartphone in 4.2 or more (ex: Iphone 6 or 8 and with some android phone like Samsung, Honor, or Redmi).

If smartphone implement Bluetooth 4.2 it's work well.

The problem appear when the smarphone was in BLE4.1 with Cypress BLE stack in 4.2.

Is there any possibility to make compatible the new stack with 'old' smartphone ?

Thanks,

Luc,

0 Likes

Hello Luc,

Could you please check with other smartphones which has Bluetooth v4.1 ?

Thanks,

P Yugandhar.

0 Likes